aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2015-05-09 23:41:34 +0200
committerMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2015-05-09 23:41:34 +0200
commit8dcd8558167579657ff0a26126f343af2572d069 (patch)
tree8d111148abbcaff320474ed0a3ef354f869b0208 /sci-biology/ugene/ugene-1.16.1.ebuild
parentsci-astronomy/libthesky: moved to Science overlay (v0.3.2) (diff)
downloadsci-8dcd8558167579657ff0a26126f343af2572d069.tar.gz
sci-8dcd8558167579657ff0a26126f343af2572d069.tar.bz2
sci-8dcd8558167579657ff0a26126f343af2572d069.zip
sci-biology/ugene: version bump
Package-Manager: portage-2.2.18
Diffstat (limited to 'sci-biology/ugene/ugene-1.16.1.ebuild')
-rw-r--r--sci-biology/ugene/ugene-1.16.1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/sci-biology/ugene/ugene-1.16.1.ebuild b/sci-biology/ugene/ugene-1.16.1.ebuild
new file mode 100644
index 000000000..9d6e4fb2e
--- /dev/null
+++ b/sci-biology/ugene/ugene-1.16.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit qt4-r2
+
+DESCRIPTION="A free open-source cross-platform bioinformatics software"
+HOMEPAGE="http://ugene.unipro.ru"
+SRC_URI="http://${PN}.unipro.ru/downloads/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cpu_flags_x86_sse2"
+
+DEPEND="
+ dev-qt/qtgui:4"
+RDEPEND="${DEPEND}"
+
+LANGS="cs en ru zh"
+
+src_configure() {
+ local CONFIG_OPTS
+ if use amd64; then
+ CONFIG_OPTS+=( CONFIG+="x64" )
+ elif use ppc; then
+ CONFIG_OPTS+=( CONFIG+="ppc" )
+ fi
+
+ use cpu_flags_x86_sse2 && CONFIG_OPTS+=( use_sse2 )
+
+ eqmake4 $CONFIG_OPTS || die
+}